import { ComponentType } from '@angular/cdk/portal';
import { ViewContainerRef, ComponentFactoryResolver, OnInit, TemplateRef, ElementRef, Injector, AfterViewInit } from '@angular/core';
import { ModalService } from './modal-popup.service';
import { Options } from './modal-options';
import * as i0 from "@angular/core";
export declare class AngularModalPopup implements OnInit, AfterViewInit {
    private componentFactoryResolver;
    private modalService;
    private injector;
    private elementRef;
    title: string | undefined;
    body: string | undefined;
    RAMDOM_ID: number;
    options?: Options;
    dynamicComponentContainer: ViewContainerRef;
    isVisible: boolean;
    content: ElementRef;
    constructor(componentFactoryResolver: ComponentFactoryResolver, modalService: ModalService, injector: Injector, elementRef: ElementRef);
    ngOnInit(): void;
    onAttached(): void;
    injectComponent<T>(options: Options, componentOrTemplate: ComponentType<T> | TemplateRef<any>, RAMDOM_ID: number): void;
    ngAfterViewInit(): void;
    close(RAMDOM_ID: any): void;
    ClosePopup(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularModalPopup, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularModalPopup, "modal-popup", never, { "title": { "alias": "title"; "required": false; }; "body": { "alias": "body"; "required": false; }; "RAMDOM_ID": { "alias": "RAMDOM_ID"; "required": false; }; }, {}, never, never, false, never>;
}
